Skip to main content
GET
/
api
/
v1
/
scans
/
{scanId}
/
wiki
Get scan wiki markdown
curl --request GET \
  --url https://app.gecko.security/api/v1/scans/{scanId}/wiki \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.gecko.security/api/v1/scans/{scanId}/wiki"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.gecko.security/api/v1/scans/{scanId}/wiki', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"# Threat model summary\n\nThis scan covers the checkout service.\n\n---\n\n## Authentication\n\nThe service uses bearer tokens."

Authorizations

X-API-Key
string
header
required

Team-scoped Gecko API key. Keys start with gk_.

Path Parameters

scanId
string<uuid>
required

Scan UUID.

Response

The scan wiki in Markdown format.

The response is of type string.